/*
 * Class EV_FIGURE_ARC
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_692 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_692 [] = {0xFF01,1551,691,0xFFFF};
static const EIF_TYPE_INDEX egt_2_692 [] = {0xFF01,691,0xFFFF};
static const EIF_TYPE_INDEX egt_3_692 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_692 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_692 [] = {0xFF01,691,0xFFFF};
static const EIF_TYPE_INDEX egt_6_692 [] = {0xFF01,691,0xFFFF};
static const EIF_TYPE_INDEX egt_7_692 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_692 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_692 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_692 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_692 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_692 [] = {0xFF01,691,0xFFFF};
static const EIF_TYPE_INDEX egt_13_692 [] = {1594,0xFF01,0,0xFF01,0xFFF9,1,840,0,0xFF01,133,0xFFFF};
static const EIF_TYPE_INDEX egt_14_692 [] = {1594,0xFF01,0,0xFF01,0xFFF9,0,840,0,0xFFFF};
static const EIF_TYPE_INDEX egt_15_692 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_16_692 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_17_692 [] = {0xFF01,638,0xFFFF};
static const EIF_TYPE_INDEX egt_18_692 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_19_692 [] = {0xFF01,648,0xFFFF};
static const EIF_TYPE_INDEX egt_20_692 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_21_692 [] = {0xFF01,1997,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_22_692 [] = {0xFF01,74,0xFFFF};
static const EIF_TYPE_INDEX egt_23_692 [] = {0xFF01,1559,0xFF01,623,0xFFFF};
static const EIF_TYPE_INDEX egt_24_692 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_25_692 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_26_692 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_27_692 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_28_692 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_29_692 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_30_692 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_31_692 [] = {0xFF01,624,0xFFFF};
static const EIF_TYPE_INDEX egt_32_692 [] = {0xFF01,1567,0xFF01,680,0xFFFF};
static const EIF_TYPE_INDEX egt_33_692 [] = {0xFF01,128,0xFFFF};
static const EIF_TYPE_INDEX egt_34_692 [] = {0xFF01,868,0xFFFF};
static const EIF_TYPE_INDEX egt_35_692 [] = {0xFF01,1889,869,0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_36_692 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_37_692 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_38_692 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_39_692 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_40_692 [] = {1594,0xFF01,0,0xFF01,0xFFF9,0,840,0,0xFFFF};
static const EIF_TYPE_INDEX egt_41_692 [] = {0xFF01,680,0xFFFF};
static const EIF_TYPE_INDEX egt_42_692 [] = {0xFF01,1567,0xFF01,680,0xFFFF};
static const EIF_TYPE_INDEX egt_43_692 [] = {0xFF01,962,0xFFFF};
static const EIF_TYPE_INDEX egt_44_692 [] = {0xFF01,680,0xFFFF};
static const EIF_TYPE_INDEX egt_45_692 [] = {0xFF01,0xFFF9,4,840,869,869,869,869,0xFFFF};


static const struct desc_info desc_692[] = {
	{EIF_GENERIC(NULL), 17108, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_692), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_692), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_692), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_692), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_692), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_692), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_692), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_692), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_692), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_692), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_692), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_692), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17109, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0567 /*691*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_692), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16834, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x054F /*679*/), 16829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16830, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16831, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16835, 92},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6856, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6857, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6858, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6859, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6949, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6950, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6951, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6952, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6954, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6955, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6956, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6957, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6958, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6959, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6960, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6961, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6962, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6963, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6964, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6965, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6966, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 16905, 80},
	{EIF_NON_GENERIC(0x071F /*911*/), 16900, 0},
	{EIF_GENERIC(egt_13_692), 16901, 4},
	{EIF_GENERIC(egt_14_692), 16906, 76},
	{EIF_GENERIC(egt_15_692), 16926, 72},
	{EIF_GENERIC(egt_16_692), 16927, 68},
	{EIF_GENERIC(NULL), 16928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16929, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16930, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16902, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16903, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16932, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16933, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_692), 16920, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_692), 16921, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_692), 16912, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_692), 16922, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16896, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16897, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_692), 16898, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_692), 16899, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0557 /*683*/), 16907, 8},
	{EIF_NON_GENERIC(0x055B /*685*/), 16908, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0791 /*968*/), 16909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10075, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 16910, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_692), 16911, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_692), 16913, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_692), 16914, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_692), 16915, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_692), 16916, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_692), 16917, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_692), 16918, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_692), 16919, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16924, 88},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16925, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16931, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16934, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16935, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16936, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16937, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16940, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16941, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16942, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16943, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16944, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16945, 89},
	{EIF_NON_GENERIC(0x04E1 /*624*/), 16946, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04E1 /*624*/), 16947, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04E1 /*624*/), 16948, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17115, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_692), 17114, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16950, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_692), 16951, 16},
	{EIF_GENERIC(NULL), 16952, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16954, 96},
	{EIF_NON_GENERIC(0x01 /*0*/), 16955, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0791 /*968*/), 16956, 20},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16957, 90},
	{EIF_GENERIC(egt_33_692), 16958, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_692), 16959, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_692), 16960, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16961, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_692), 16962, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_692), 16963, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0511 /*648*/), 16964, 24},
	{EIF_NON_GENERIC(0x051F /*655*/), 16965, 28},
	{EIF_NON_GENERIC(0x051F /*655*/), 16966, 32},
	{EIF_NON_GENERIC(0x051F /*655*/), 16967, 36},
	{EIF_NON_GENERIC(0x051D /*654*/), 16968, 40},
	{EIF_NON_GENERIC(0x051D /*654*/), 16969, 44},
	{EIF_NON_GENERIC(0x051D /*654*/), 16970, 48},
	{EIF_NON_GENERIC(0x051D /*654*/), 16971, 52},
	{EIF_NON_GENERIC(0x04FD /*638*/), 16972, 56},
	{EIF_NON_GENERIC(0x051D /*654*/), 16973, 60},
	{EIF_NON_GENERIC(0x04ED /*630*/), 16974, 64},
	{EIF_GENERIC(egt_38_692), 16927, 68},
	{EIF_GENERIC(egt_39_692), 16926, 72},
	{EIF_GENERIC(egt_40_692), 16906, 76},
	{EIF_NON_GENERIC(0x01 /*0*/), 16905, 80},
	{EIF_GENERIC(NULL), 10070, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10075, 0xFFFFFFFF},
	{EIF_GENERIC(egt_41_692), 10072, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10073, 0xFFFFFFFF},
	{EIF_GENERIC(egt_42_692), 16951, 16},
	{EIF_GENERIC(egt_43_692), 17065, 84},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17066, 100},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17067, 91},
	{EIF_GENERIC(NULL), 17068, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17069, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17070, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17071, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10074, 0xFFFFFFFF},
	{EIF_GENERIC(egt_44_692), 10076, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10077, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 17110, 104},
	{EIF_NON_GENERIC(0x06BF /*863*/), 17111, 112},
	{EIF_GENERIC(NULL), 17112, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17113, 0xFFFFFFFF},
	{EIF_GENERIC(egt_45_692), 17116, 0xFFFFFFFF},
};
void Init692(void)
{
	IDSC(desc_692, 0, 691);
	IDSC(desc_692 + 1, 1, 691);
	IDSC(desc_692 + 32, 791, 691);
	IDSC(desc_692 + 34, 1503, 691);
	IDSC(desc_692 + 37, 1187, 691);
	IDSC(desc_692 + 42, 902, 691);
	IDSC(desc_692 + 47, 371, 691);
	IDSC(desc_692 + 61, 646, 691);
	IDSC(desc_692 + 79, 1005, 691);
	IDSC(desc_692 + 100, 205, 691);
	IDSC(desc_692 + 163, 1113, 691);
	IDSC(desc_692 + 168, 807, 691);
	IDSC(desc_692 + 175, 1081, 691);
	IDSC(desc_692 + 178, 251, 691);
}


#ifdef __cplusplus
}
#endif
